ignite-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexey Kuznetsov <akuznet...@gridgain.com>
Subject Re: Why ignite-indexing doesn't use/work the latest H2 version
Date Mon, 20 Jun 2016 17:54:15 GMT
Hi zshamrock.

As far as I know H2 1.4 has beta status (although it is pretty stable)
and also we could not simply switch to H2 1.4.x this will require some
internal code changes.

I think Sergi, who is a main developer of Ignite SQL, could provide more
information about this.

On Tue, Jun 21, 2016 at 12:26 AM, zshamrock <aliaksandr.kazlou@gmail.com>
wrote:

> I found that if I use the latest H2 version 1.4.192, Ignite fails on
> startup
> with the following error:
>
> java.lang.NoClassDefFoundError: org/h2/constant/SysProperties
>
>         at
>
> org.apache.ignite.internal.processors.query.h2.IgniteH2Indexing.start(IgniteH2Indexing.java:1487)
>         at
>
> org.apache.ignite.internal.processors.query.GridQueryProcessor.start(GridQueryProcessor.java:171)
>         at
>
> org.apache.ignite.internal.IgniteKernal.startProcessor(IgniteKernal.java:1549)
>         at
> org.apache.ignite.internal.IgniteKernal.start(IgniteKernal.java:869)
>         at
>
> org.apache.ignite.internal.IgnitionEx$IgniteNamedInstance.start0(IgnitionEx.java:1736)
>         at
>
> org.apache.ignite.internal.IgnitionEx$IgniteNamedInstance.start(IgnitionEx.java:1589)
>         at
> org.apache.ignite.internal.IgnitionEx.start0(IgnitionEx.java:1042)
>         at
>
> org.apache.ignite.internal.IgnitionEx.startConfigurations(IgnitionEx.java:964)
>         at org.apache.ignite.internal.IgnitionEx.start(IgnitionEx.java:930)
>         at org.apache.ignite.internal.IgnitionEx.start(IgnitionEx.java:870)
>         at org.apache.ignite.Ignition.start(Ignition.java:397)
>
> Looking into source code IgniteH2Indexing class it uses the following
> imports:
>
> import org.h2.constant.ErrorCode;
> import org.h2.constant.SysProperties;
>
> which (looks like) were moved in the latest version of H2 into
> org.h2.engine
> (for SysProperties) and org.h2.api (for ErrorCode) packages.
>
> Why ignite-indexing doesn't use the latest (or at least version 1.4 of H2)?
> But relies on 1.3.175. Are there reasons for this?
>
>
>
> --
> View this message in context:
> http://apache-ignite-users.70518.x6.nabble.com/Why-ignite-indexing-doesn-t-use-work-the-latest-H2-version-tp5765.html
> Sent from the Apache Ignite Users mailing list archive at Nabble.com.
>



-- 
Alexey Kuznetsov
GridGain Systems
www.gridgain.com

Mime
View raw message